## Beschreibung

LAMP (Linux Apache Mysql PHP) System als Basis für die Installation von Contao, z.B. Contao CSLSA u.a.

##  Installation

1. Helm-Repository hinzufügen

    ```bash
    helm repo add containerize https://gitlab.informatik.uni-halle.de/api/v4/projects/2856/packages/helm/stable
    helm repo update containerize
    helm search repo -l containerize

    mkdir <path>/containerize/helm-values/LAMP
    cd <path>/containerize/helm-values/LAMP
    # Default Values ausgeben
    helm inspect values containerize/ti-lamp > values-default.yaml
    ```

2. `values.yaml` anlegen und anpassen, siehe mitgelieferte `values.yaml`

3. Installation

    Hierbei sind die Passwörter anzugeben, welch als Secret abgelegt werden. Der unten stehende Aufruf enthält die minimalen Parameter. Werden weitere Dienste installiert, z.B. WebDAV, sind auch dafür Zugangsdaten anzugeben. Siehe [Helm Chart](../../helm/ti-lamp/README.md).

    ```bash
    helm upgrade --install --wait contao \
        -n contao --create-namespace \
        containerize/ti-lamp \
        --values values.yaml \
        --set mysql.rootPassword=<pass1> \
        --set mysql.database=contao \
        --set mysql.user=contao \
        --set mysql.password=<pass2>
    ```

4. Upgrade / Anpassungen

    ```bash
    helm upgrade --install --wait contao \
        -n contao --create-namespace \
        containerize/ti-lamp \
        --values values.yaml \
        --set mysql.rootPassword=<pass1> \
        --set mysql.database=contao \
        --set mysql.user=contao \
        --set mysql.password=<pass2> \
        --set webdav.user=contao \
        --set webdav.password=<PASSWORD>
    ```